Create

The create route is responsible for registering a new payment account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

Attention point:

To consume the route it is necessary to pass the client code as a parameter.

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-02Invalid hash.
400400-11Error registering.
400400-17Account type unavailable.
400400-18Account bank code unavailable.
401401-05Unauthorized or token invalid.
406406-03field 'X' is mandatory and was not informed.
406406-01User was not found.
429429-01Too many requests.

Response Parameters

ParameterFormatDescription
request_codestringCode of the request made
returnbooleanIndicates if the request was successful
return_codestringReturn code of the request
messagestringMessage indicating the success of the request
dataobjectObject containing additional information
data.codestringCode associated with the account created in the request

Request Parameters

Path Params
string
required

Client Code

Body Params
string
required
Defaults to 470

Bank code

string
required
Defaults to 00001

Agency number

int32
required
Defaults to 1

Agency code

string
required
Defaults to 470001

Account number

string
required
Defaults to 2

Account code

string
required
Defaults to 1

Account Type(1 = current account , 2 = savings account)

Headers
string
required

Authorization Token

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json